Name:           kde-pdf-servicemenu
Version:        0.6
Release:        %mkrel 6
License:        GPLv3
Summary:        Various KDE service menus actions for PDF files
Group:          Graphical desktop/KDE
URL:            http://kde-apps.org/content/show.php?content=37321
Source0:        http://kde-apps.org/CONTENT/content-files/37321-kde-service-menu-pdf_%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  kf5-macros

Requires:       plasma-workspace
Requires:       pdf2djvu
Requires:       ghostscript
Requires:       poppler
Requires:       pdftk

Obsoletes:      kde-pdf-merge-split-servicemenu

%description
Here are various KDE service menus for PDF documents:

- Print menu
- DjVu menu: Convert PDF document to DjVu file.
- Ghostscript menu:
    Optimize PDF document
    Convert PDF document to png, jpeg, fax images.
- Convert to PostScript
- pdfinfo menu
- pdftk service menu:
    Join selected PDF
    Extract pages
    Burst PDF pages
    Remove pages
    Add another PDF to selected file
    Rotate
    Repair
    Watermark
    Stamp
    Lock (give master password, give user password, select permissions)
    Unlock (with master password)
    Attach arbitrary file (PDF, audio, image, movie)
    Extract attached files
    Uncompress PDF files (Remove PDF page stream compression)
    Compress PDF files (Restore page stream compression)
    Document information
- poppler-utils service menu:
    Convert a PDF document to HTML page
    Convert a PDF document to one or more images
    Extract images from PDF documents
    Convert PDF document to text


%package -n kde-pdf-booklet-servicemenu
Summary:        Convert PDF to Booklet KDE service menu
Group:          Graphical desktop/KDE

Requires:       plasma-workspace
Requires:       texlive-texmf
Requires:       pdftk

%description -n kde-pdf-booklet-servicemenu
KDE service menus for PDF documebts:
- Convert a PDF document to booklet
    You can canvert any PDF document to booklet.
    ie if you convert a document with pager numerated in 1,2,3,4,5,6,7,8
    you have a booklet with 8,1,2,7,6,3,4,6,5
    You can choose pages per booklet, save in one big file or many booklets,
    read orientation: left to right or right to left.
- pdfjam service menu:
    2 pages per sheet
    4 pages per sheet
    6 pages per sheet
    8 pages per sheet
    Custom pages per sheet
   (It's possible to choose if you want framed or no-framed)

%prep
%setup -q -n kde-service-menu-pdf_%{version}

%build
#Nothing to do

%install
%__mkdir -p %{buildroot}%{_kf5_bindir}
%__mkdir -p %{buildroot}%{_kf5_services}/ServiceMenus
%__install -m 755 bin/* %{buildroot}%{_kf5_bindir}
%__install -m 644 desktop/*.desktop %{buildroot}%{_kf5_services}/ServiceMenus

%files
%doc doc/changelog doc/description
%exclude %{_kf5_bindir}/pdftobooklet_kmenu.sh
%exclude %{_kf5_bindir}/pdfnup_kmenu.sh
%exclude %{_kf5_services}/ServiceMenus/pdfnup.desktop
%exclude %{_kf5_services}/ServiceMenus/pdftobooklet.desktop
%{_kf5_bindir}/*
%{_kf5_services}/ServiceMenus/*

%files -n kde-pdf-booklet-servicemenu
%doc doc/booklet/*.png doc/changelog doc/description
%{_kf5_bindir}/pdftobooklet_kmenu.sh
%{_kf5_bindir}/pdfnup_kmenu.sh
%{_kf5_services}/ServiceMenus/pdfnup.desktop
%{_kf5_services}/ServiceMenus/pdftobooklet.desktop


%changelog
* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.6-6.mga6
+ Revision: 1046185
- test rebuild for poppler

* Thu Jun 09 2016 daviddavid <daviddavid> 0.6-5.mga6
+ Revision: 1020940
- convert to kf5 for Plasma 5 compatibility

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Nov 21 2015 dglent <dglent> 0.6-3.mga6
+ Revision: 904702
- Restore servicemenus using pdftk

* Tue Dec 09 2014 lmenut <lmenut> 0.6-2.mga5
+ Revision: 802535
- remove servicemenus using pdftk
- restore kde-pdf-servicemenu

  + luigiwalser <luigiwalser>
    - retire due to pdftk (due to gcj)

* Thu Jun 05 2014 dglent <dglent> 0.6-1.mga5
+ Revision: 633347
- New version 0.6

* Thu Dec 19 2013 dglent <dglent> 0.5-1.mga4
+ Revision: 558790
- imported package kde-pdf-servicemenu

